Skip to main content
POST
/
v2
/
payouts
/
resend-callback
/
{payoutId}
Resend payout callback
curl --request POST \
  --url https://api.sandbox.pawapay.io/v2/payouts/resend-callback/{payoutId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.sandbox.pawapay.io/v2/payouts/resend-callback/{payoutId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sandbox.pawapay.io/v2/payouts/resend-callback/{payoutId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "payoutId": "f4401bd2-1568-4140-bf2d-eb77d2b2b639",
  "status": "ACCEPTED"
}
Resends the callback for a payout to your configured callback URL. The payout must have reached a final state.
Please ensure your implementation of callback handling follows our guidelines.

Authorizations

Authorization
string
header
required

Path Parameters

payoutId
string<uuid>
required

The id of the payout that you are performing this operation on.

Required string length: 36

Response

Request has been processed by PawaPay

payoutId
string<uuid>
required

The unique ID for this payment in PawaPay as specified by you during initiation.

Required string length: 36
Example:

"f4401bd2-1568-4140-bf2d-eb77d2b2b639"

status
enum<string>
required

Possible initiation statuses:

  • ACCEPTED - The action request has been accepted by PawaPay for processing.
  • REJECTED - The action request has been rejected by PawaPay. See failureReason for details.
Available options:
ACCEPTED,
REJECTED
failureReason
object

The reason for the failure for this action

Example:

"Deposit with ID \\#f4401bd2-1568-4140-bf2d-eb77d2b2b639 not found"